
Figure - Bug #116882
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110885 (New): AF-V1.0功能测试-通知中心

【AF】【EVT】【通知中心】点击通知中心的删除按钮后通知中心无法及时收起
2023-03-11 13:28 - CD TEST-方永红

Status: CLOSED Start date: 2023-03-11

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303110019

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101(X101).202303191230

Reproducibility: Every time Fixed Version: 2023-03-16

Test Type: ST Root cause: 优化了存在隐藏通知块时的通知删除收起逻辑

Description

【前提条件】

有一条不能被删除的隐藏通知

【测试步骤】

1. 打开通知中心

2、点击删除按钮

【预期结果】

2、点击删除按钮之后，通知中心立即收起

【实际结果】

2、点击之后通知中心没有立即收起

History

#1 - 2023-03-15 17:10 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

187656 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

AF:Notification: Improve remove put away logic when hidden notification blocks exist1.When there are notifications in the hidden notification block that can be

deleted and notifications that cannot be deleted, only the notifications that can be deleted are deleted, the hidden notification block is kept, and the notification

center is put away2.When only notifications that can be deleted exist in the hidden notification block, delete the notifications that can be deleted, delete the hidden

notification block at the same time, and put away the notification center3.Stay consistent with AOSP when hiding notification block expansionTC-RID:

1201-0201902IssueID: TS-R-BUG-116882Change-Id: I41ee484f4ffe0359d55e574de6546239483ce296

#2 - 2023-03-15 17:11 - CD FW 曹覃刚

- Status changed from New to RESOLVED
- Assignee changed from CD FW 曹覃刚 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-03-16

- Root cause set to 优化了存在隐藏通知块时的通知删除收起逻辑

#3 - 2023-03-20 16:56 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101(X101).202303191230

3.20

验证通过

#4 - 2023-03-20 16:56 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190078 2023-03-11 12-25-57.mp4 21.3 MB 2023-03-11 CD TEST-方永红
